Skip to content

Get a single user by ID

Request

Security
bearer
Path
userIdnumberrequired
curl -i -X GET \
  'https://docs.axiomera.com/_mock/apis/heydonto/openapi/users/{userId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The user was successfully retrieved.

Bodyapplication/json
idnumberrequired

Unique identifier for the user

Example:1
emailstringrequired

Email address of the user

Example:"admin@admin.com"
firstNamestringrequired

First name of the user

Example:"John"
lastNamestringrequired

Last name of the user

Example:"Doe"
rolestringrequired

Role of the user

Enum:"ORGANIZATION_USER""BRAND_USER""SITE_USER""CLIENT_ACCOUNT_USER""SITE_MANAGER_USER"
Example:"CLIENT_ACCOUNT_USER"
isEnabledbooleanrequired

Is the user enabled

Example:true
createdAtstring, (date-time)required

Creation date of the user

Example:"2024-01-01T00:00:00.000Z"
updatedAtstring, (date-time)required

Last update date of the user

Example:"2024-01-02T00:00:00.000Z"
userOrganizationsArray of strings

Organizations associated with the user

userBrandsArray of strings

Brands associated with the user

userSitesArray of strings

Sites associated with the user

userClientAccountsArray of objects(UserClientAccountDto)

Client accounts associated with the user

managedSitesArray of strings

Sites associated with the user

tosAcceptedAtstring, (date-time)required

Time stamp of the Terms of Services acceptance

Example:"2024-01-02T00:00:00.000Z"
Response
{ "id": 1, "email": "admin@admin.com", "firstName": "John", "lastName": "Doe", "role": "CLIENT_ACCOUNT_USER", "isEnabled": true, "createdAt": "2024-01-01T00:00:00.000Z", "updatedAt": "2024-01-02T00:00:00.000Z", "userOrganizations": [ "string" ], "userBrands": [ "string" ], "userSites": [ "string" ], "userClientAccounts": [ { … } ], "managedSites": [ "string" ], "tosAcceptedAt": "2024-01-02T00:00:00.000Z" }